
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600&display=swap');


:root{
  --primary-color: #015F28;
  --secondary-color:#73B400;
  --primary-hover: #D7DE50;
  --background-color:#F6F6E1;
  --text-color-dark: #033A1A;
  --text-color-light: #FFFFFF;

}
* {
  box-sizing: border-box;
  font-family: 'Poppins', sans-serif;
  margin: 0;
  padding: 0;
} 
    
body {
min-height: 100vh;
background: url('../img/bg/backgroundFt.jpg') no-repeat center center fixed;
background-size: cover;
display: flex;
justify-content: center;
align-items: center;
padding: 60px 20px;
color: var(--background-color);
position: relative;
}
body::before {
content: '';
position: fixed;
top: 0; left: 0; right: 0; bottom: 0;
background: rgba(0,0,0,0.7);
z-index: -1;
}
.forgot-container {
  background: var(--text-color-light);
  padding: 30px;
  border-radius: 8px;
  max-width: 500px;
  box-shadow: 0 4px 8px rgba(0,0,0,0.1);
  width: 100%;
  color: var(--text-color-dark);
}
.forgot-container h2 {
  text-align: center;
  margin-bottom: 10px;
  color: var(--text-color-dark);
}

.forgot-container p {
  font-size: 14px;
  text-align: center;
  color: var(--text-color-dark);
}

label {
  display: block;
  margin-top: 20px;
  margin-bottom: 5px;
  font-weight: bold;
}

input[type="email"] {
  width: 100%;
  padding: 10px;
  border: 1px solid var(--secondary-color);
  border-radius: 4px;
  font-size: 14px;
}

button {
  width: 100%;
  margin-top: 20px;
  padding: 10px;
  background-color: var(--secondary-color);
  color: var(--text-color-light);
  border: none;
  border-radius: 4px;
  cursor: pointer;
  font-size: 16px;
}

button:hover {
  background-color: var(--primary-hover);
  color: var(--text-color-dark);
}

.back-link {
  text-align: center;
  margin-top: 15px;
}

.back-link a {
  color: var(--primary-color);
  text-decoration: none;
  font-size: 14px;
}

.back-link a:hover {
  text-decoration: underline;
  color: var(--primary-hover);
}


.logo {
  width: 80px;

  margin: 0 auto;
  margin-bottom: 0; 
  padding: 0;
  box-shadow: rgba(90, 143, 41, 0.4);
}

/* button loading */
#sendBtn.loading {
  opacity: 0.6;
  pointer-events: none;
  position: relative;
}

#sendBtn.loading::after {
  content: "";
  position: absolute;
  right: 10px;
  top: 50%;
  transform: translateY(-50%);
  width: 14px;
  height: 14px;
  border: 2px solid white;
  border-top: 2px solid transparent;
  border-radius: 50%;
  animation: spin 0.6s linear infinite;
}


@keyframes spin {
  to {
    transform: translateY(-50%) rotate(360deg);
  }
}

